---
title: Paragraph text
sidebar: true
---

# Paragraph text

Basic text paragraph.

## Usage

<hy-docs-container>
  <hy-paragraph-text>
    Lorem ipsum dolor sit amet, consectetur adipiscing elit.
    Ut ac orci nisl. Nam at arcu eget enim interdum rhoncus eu nec turpis. 
    Duis in est id nunc dictum lobortis. Nullam magna lectus, hendrerit tempus pharetra at, cursus sit amet orci. 
    Aenean in pulvinar mi. Nulla facilisi. Etiam elementum malesuada ante, quis facilisis arcu varius consectetur. 
    Phasellus eu nisl elementum, laoreet sem condimentum, hendrerit urna. Ut eu lorem et nunc consectetur bibendum. 
    Nulla sed orci urna. Vivamus ac lectus ex. Nam sit amet tincidunt leo. In sed nunc eu odio semper maximus vel suscipit ligula. 
    In hac habitasse platea dictumst.
  </hy-paragraph-text>
</hy-docs-container>

```
<hy-paragraph-text>
  Text content here
</hy-paragraph-text>
```

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute     | Description | Type     | Default      |
| ------------- | ------------- | ----------- | -------- | ------------ |
| `headerstyle` | `headerstyle` |             | `string` | `'default'`  |
| `placement`   | `placement`   |             | `string` | `'internal'` |
| `variant`     | `variant`     |             | `string` | `undefined`  |

## Dependencies

### Used by

- [hy-video](../hy-video)

### Depends on

- [hy-box](../hy-box)

### Graph

```mermaid
graph TD;
  hy-paragraph-text --> hy-box
  hy-video --> hy-paragraph-text
  style hy-paragraph-text fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
